Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.FieldName

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.FieldName

Enclosing class:
  RepositoryConfiguration

    public static class RepositoryConfiguration.FieldName

extends Object

Field Summary
`static String` | `ALLOW_CREATION` The name for the field under "workspaces" specifying whether users can create additional workspaces beyond the predefined, system, and default workspaces.
`static String` | `ANONYMOUS` The name for the field under "security" specifying the optional anonymous security configuration.
`static String` | `ANONYMOUS_ROLES` The name for the field under "security/anonymous" specifying the roles that should be granted to anonymous users.
`static String` | `ANONYMOUS_USERNAME` The name for the field under "security/anonymous" specifying the username that should be used for anonymous users.
`static String` | `BINARY_STORAGE` The name for the field whose value is a document containing binary storage information.
`static String` | `CACHE_CONFIGURATION` The name for the field containing the name of the Infinispan configuration file.
`static String` | `CACHE_NAME` The name for the field containing the name of the Infinispan cache that this repository should use.
`static String` | `CACHE_TRANSACTION_MANAGER_LOOKUP` The name for the field containing the name of the Infinispan transaction manager lookup class.
`static String` | `CHANNEL_CONFIGURATION` The optional string representing a valid JGroups channel configuration object
`static String` | `CHANNEL_PROVIDER` The fully qualified name of the `ChannelProvider` implementation which will provide the JChannel instance
`static String` | `CLASSLOADER`
`static String` | `CLASSNAME`
`static String` | `CLUSTER_NAME` The name of the cluster as used by JChannel.connect
`static String` | `CLUSTERING` The name of the clustering top-level configuration document
`static String` | `DATA_CACHE_NAME`
`static String` | `DATA_SOURCE_JNDI_NAME`
`static String` | `DEFAULT` The name for the field under "workspaces" specifying the name of the workspace that should be used by default when creating sessions where the workspace is not specified.
`static String` | `DESCRIPTION` The name for the field specifying a description.
`static String` | `DIRECTORY`
`static String` | `EXTRACTORS`
`static String` | `INDEX_STORAGE`
`static String` | `INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES`
`static String` | `INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE`
`static String` | `INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES`
`static String` | `INDEX_STORAGE_INFINISPAN_CONTAINER`
`static String` | `INDEX_STORAGE_INFINISPAN_DATA_CACHE`
`static String` | `INDEX_STORAGE_INFINISPAN_LOCK_CACHE`
`static String` | `INDEX_STORAGE_INFINISPAN_META_CACHE`
`static String` | `INDEX_STORAGE_LOCATION`
`static String` | `INDEX_STORAGE_LOCKING_STRATEGY`
`static String` | `INDEX_STORAGE_REFRESH_IN_SECONDS`
`static String` | `INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS`
`static String` | `INDEX_STORAGE_RETRY_MARKER_LOOKUP`
`static String` | `INDEX_STORAGE_SOURCE_LOCATION`
`static String` | `INDEXING`
`static String` | `INDEXING_ANALYZER`
`static String` | `INDEXING_ANALYZER_CLASSPATH`
`static String` | `INDEXING_ASYNC_MAX_QUEUE_SIZE`
`static String` | `INDEXING_ASYNC_THREAD_POOL_SIZE`
`static String` | `INDEXING_BACKEND`
`static String` | `INDEXING_BACKEND_JGROUPS_CHANNEL_CONFIGURATION`
`static String` | `INDEXING_BACKEND_JGROUPS_CHANNEL_NAME`
`static String` | `INDEXING_BACKEND_JMS_CONNECTION_FACTORY_JNDI_NAME`
`static String` | `INDEXING_BACKEND_JMS_QUEUE_JNDI_NAME`
`static String` | `INDEXING_BATCH_SIZE`
`static String` | `INDEXING_INDEX_FORMAT`
`static String` | `INDEXING_MODE`
`static String` | `INDEXING_READER_STRATEGY`
`static String` | `INDEXING_SIMILARITY`
`static String` | `JAAS` The name for the field under "security" specifying the optional JAAS configuration.
`static String` | `JAAS_POLICY_NAME` The name for the field under "security/jaas" specifying the JAAS policy that should be used.
`static String` | `JNDI_NAME` The name for the optional field specifying where in JNDI this repository should be registered.
`static String` | `METADATA_CACHE_NAME`
`static String` | `MINIMUM_BINARY_SIZE_IN_BYTES` The size threshold that dictates whether String and binary values should be stored in the binary store.
`static String` | `MONITORING` The name for the field whose value is a document containing the monitoring information.
`static String` | `MONITORING_ENABLED` The name for the optional field specifying whether the monitoring system is enabled or disabled.
`static String` | `NAME` The name for the field specifying the repository's name.
`static String` | `PATH_EXPRESSION`
`static String` | `PATH_EXPRESSIONS`
`static String` | `PREDEFINED` The name for the field under "workspaces" specifying the array of names for the predefined (existing) workspaces.
`static String` | `PROVIDERS`
`static String` | `QUERY`
`static String` | `QUERY_ENABLED`
`static String` | `REBUILD_UPON_STARTUP`
`static String` | `REMOVE_DERIVED_CONTENT_WITH_ORIGINAL`
`static String` | `SECURITY` The name for the field whose value is a document containing security information.
`static String` | `SEQUENCERS`
`static String` | `SEQUENCING`
`static String` | `STORAGE` The name for the field whose value is a document containing the Infinispan storage information.
`static String` | `TABLES_INCLUDE_INHERITED_COLUMNS`
`static String` | `THREAD_POOL` The name for the field (under "sequencing" and "query") specifying the thread pool that should be used for sequencing.
`static String` | `TRANSACTION_MODE` The specification of whether the repository should expect and detect whether JCR clients modify the content within transactions.
`static String` | `TYPE`
`static String` | `USE_ANONYMOUS_ON_FAILED_LOGINS` The name for the field under "security/anonymous" specifying whether clients that fail authentication should instead be granted anonymous credentials.
`static String` | `WORKSPACES` The name for the field whose value is a document containing workspace information.

Constructor Summary
`RepositoryConfiguration.FieldName()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  The name for the field specifying the repository's name.

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

  The name for the field specifying a description.

  See Also:
    Constant Field Values

### JNDI_NAME

    public static final String JNDI_NAME

  The name for the optional field specifying where in JNDI this repository should be registered.

  See Also:
    Constant Field Values

### TRANSACTION_MODE

    public static final String TRANSACTION_MODE

  The specification of whether the repository should expect and detect whether JCR clients modify the content within transactions. The default value of 'auto' will automatically detect the use of both user- and container-managed transactions and also works when the JCR client does not use transactions; this will work in most situations. The value of 'none' specifies that the repository should not attempt to detect existing transactions; this setting is an optimization that should be used *only* if JCR clients will never use transactions to change the repository content.

  See Also:
    Constant Field Values

### MONITORING

    public static final String MONITORING

  The name for the field whose value is a document containing the monitoring information.

  See Also:
    Constant Field Values

### MONITORING_ENABLED

    public static final String MONITORING_ENABLED

  The name for the optional field specifying whether the monitoring system is enabled or disabled.

  See Also:
    Constant Field Values

### STORAGE

    public static final String STORAGE

  The name for the field whose value is a document containing the Infinispan storage information.

  See Also:
    Constant Field Values

### CACHE_NAME

    public static final String CACHE_NAME

  The name for the field containing the name of the Infinispan cache that this repository should use. If not specified, the repository's name is used as the Infinispan cache name.

  See Also:
    Constant Field Values

### CACHE_CONFIGURATION

    public static final String CACHE_CONFIGURATION

  The name for the field containing the name of the Infinispan configuration file. If a file could not be found (on the thread context classloader, on the application's classpath, or on the system classpath), then the name is used to look in JNDI for an Infinispan CacheContainer instance. If no such container is found, then a default Infinispan configuration (a basic, local mode, non-clustered cache) will be used.

  See Also:
    Constant Field Values

### CACHE_TRANSACTION_MANAGER_LOOKUP

    public static final String CACHE_TRANSACTION_MANAGER_LOOKUP

  The name for the field containing the name of the Infinispan transaction manager lookup class. This is only used if no `cacheConfiguration` value is specified and ModeShape needs to instantiate the Infinispan `CacheContainer`. By default, the `GenericTransactionManagerLookup` class is used.

  See Also:
    Constant Field Values

### MINIMUM_BINARY_SIZE_IN_BYTES

    public static final String MINIMUM_BINARY_SIZE_IN_BYTES

  The size threshold that dictates whether String and binary values should be stored in the binary store. String and binary values smaller than this value are stored with the node, whereas string and binary values with a size equal to or greater than this limit will be stored separately from the node and in the binary store, keyed by the SHA-1 hash of the value. This is a space and performance optimization that stores each unique large value only once. The default value is '4096' bytes, or 4 kilobytes.

  See Also:
    Constant Field Values

### WORKSPACES

    public static final String WORKSPACES

  The name for the field whose value is a document containing workspace information.

  See Also:
    Constant Field Values

### PREDEFINED

    public static final String PREDEFINED

  The name for the field under "workspaces" specifying the array of names for the predefined (existing) workspaces.

  See Also:
    Constant Field Values

### ALLOW_CREATION

    public static final String ALLOW_CREATION

  The name for the field under "workspaces" specifying whether users can create additional workspaces beyond the predefined, system, and default workspaces.

  See Also:
    Constant Field Values

### DEFAULT

    public static final String DEFAULT

  The name for the field under "workspaces" specifying the name of the workspace that should be used by default when creating sessions where the workspace is not specified.

  See Also:
    Constant Field Values

### BINARY_STORAGE

    public static final String BINARY_STORAGE

  The name for the field whose value is a document containing binary storage information.

  See Also:
    Constant Field Values

### SECURITY

    public static final String SECURITY

  The name for the field whose value is a document containing security information.

  See Also:
    Constant Field Values

### JAAS

    public static final String JAAS

  The name for the field under "security" specifying the optional JAAS configuration.

  See Also:
    Constant Field Values

### JAAS_POLICY_NAME

    public static final String JAAS_POLICY_NAME

  The name for the field under "security/jaas" specifying the JAAS policy that should be used. An empty string value implies that JAAS should not be used.

  See Also:
    Constant Field Values

### ANONYMOUS

    public static final String ANONYMOUS

  The name for the field under "security" specifying the optional anonymous security configuration.

  See Also:
    Constant Field Values

### ANONYMOUS_ROLES

    public static final String ANONYMOUS_ROLES

  The name for the field under "security/anonymous" specifying the roles that should be granted to anonymous users. By default, anonymous users are granted the "admin" role, but this can be completely disabled by providing an empty array.

  See Also:
    Constant Field Values

### ANONYMOUS_USERNAME

    public static final String ANONYMOUS_USERNAME

  The name for the field under "security/anonymous" specifying the username that should be used for anonymous users. The default is "<anonymous>";

  See Also:
    Constant Field Values

### USE_ANONYMOUS_ON_FAILED_LOGINS

    public static final String USE_ANONYMOUS_ON_FAILED_LOGINS

  The name for the field under "security/anonymous" specifying whether clients that fail authentication should instead be granted anonymous credentials.

  See Also:
    Constant Field Values

### PROVIDERS

    public static final String PROVIDERS

See Also:
  Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### DIRECTORY

    public static final String DIRECTORY

See Also:
  Constant Field Values

### CLASSLOADER

    public static final String CLASSLOADER

See Also:
  Constant Field Values

### CLASSNAME

    public static final String CLASSNAME

See Also:
  Constant Field Values

### DATA_SOURCE_JNDI_NAME

    public static final String DATA_SOURCE_JNDI_NAME

See Also:
  Constant Field Values

### DATA_CACHE_NAME

    public static final String DATA_CACHE_NAME

See Also:
  Constant Field Values

### METADATA_CACHE_NAME

    public static final String METADATA_CACHE_NAME

See Also:
  Constant Field Values

### QUERY

    public static final String QUERY

See Also:
  Constant Field Values

### QUERY_ENABLED

    public static final String QUERY_ENABLED

See Also:
  Constant Field Values

### REBUILD_UPON_STARTUP

    public static final String REBUILD_UPON_STARTUP

See Also:
  Constant Field Values

### INDEX_STORAGE

    public static final String INDEX_STORAGE

See Also:
  Constant Field Values

### INDEXING

    public static final String INDEXING

See Also:
  Constant Field Values

### INDEXING_BACKEND

    public static final String INDEXING_BACKEND

See Also:
  Constant Field Values

### TABLES_INCLUDE_INHERITED_COLUMNS

    public static final String TABLES_INCLUDE_INHERITED_COLUMNS

See Also:
  Constant Field Values

### EXTRACTORS

    public static final String EXTRACTORS

See Also:
  Constant Field Values

### SEQUENCING

    public static final String SEQUENCING

See Also:
  Constant Field Values

### SEQUENCERS

    public static final String SEQUENCERS

See Also:
  Constant Field Values

### PATH_EXPRESSION

    public static final String PATH_EXPRESSION

See Also:
  Constant Field Values

### PATH_EXPRESSIONS

    public static final String PATH_EXPRESSIONS

See Also:
  Constant Field Values

### THREAD_POOL

    public static final String THREAD_POOL

  The name for the field (under "sequencing" and "query") specifying the thread pool that should be used for sequencing. By default, all repository instances will use the same thread pool within the engine. To use a dedicated thread pool for a single repository, simply use a name that is unique from all other repositories.

  See Also:
    Constant Field Values

### REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

    public static final String REMOVE_DERIVED_CONTENT_WITH_ORIGINAL

See Also:
  Constant Field Values

### INDEXING_ANALYZER

    public static final String INDEXING_ANALYZER

See Also:
  Constant Field Values

### INDEXING_ANALYZER_CLASSPATH

    public static final String INDEXING_ANALYZER_CLASSPATH

See Also:
  Constant Field Values

### INDEXING_SIMILARITY

    public static final String INDEXING_SIMILARITY

See Also:
  Constant Field Values

### INDEXING_BATCH_SIZE

    public static final String INDEXING_BATCH_SIZE

See Also:
  Constant Field Values

### INDEXING_INDEX_FORMAT

    public static final String INDEXING_INDEX_FORMAT

See Also:
  Constant Field Values

### INDEXING_READER_STRATEGY

    public static final String INDEXING_READER_STRATEGY

See Also:
  Constant Field Values

### INDEXING_MODE

    public static final String INDEXING_MODE

See Also:
  Constant Field Values

### INDEXING_ASYNC_THREAD_POOL_SIZE

    public static final String INDEXING_ASYNC_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### INDEXING_ASYNC_MAX_QUEUE_SIZE

    public static final String INDEXING_ASYNC_MAX_QUEUE_SIZE

See Also:
  Constant Field Values

### INDEX_STORAGE_LOCATION

    public static final String INDEX_STORAGE_LOCATION

See Also:
  Constant Field Values

### INDEX_STORAGE_SOURCE_LOCATION

    public static final String INDEX_STORAGE_SOURCE_LOCATION

See Also:
  Constant Field Values

### INDEX_STORAGE_LOCKING_STRATEGY

    public static final String INDEX_STORAGE_LOCKING_STRATEGY

See Also:
  Constant Field Values

### INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE

    public static final String INDEX_STORAGE_FILE_SYSTEM_ACCESS_TYPE

See Also:
  Constant Field Values

### INDEX_STORAGE_REFRESH_IN_SECONDS

    public static final String INDEX_STORAGE_REFRESH_IN_SECONDS

See Also:
  Constant Field Values

### INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES

    public static final String INDEX_STORAGE_COPY_BUFFER_SIZE_IN_MEGABYTES

See Also:
  Constant Field Values

### INDEX_STORAGE_RETRY_MARKER_LOOKUP

    public static final String INDEX_STORAGE_RETRY_MARKER_LOOKUP

See Also:
  Constant Field Values

### INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS

    public static final String INDEX_STORAGE_RETRY_INITIALIZE_PERIOD_IN_SECONDS

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_LOCK_CACHE

    public static final String INDEX_STORAGE_INFINISPAN_LOCK_CACHE

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_DATA_CACHE

    public static final String INDEX_STORAGE_INFINISPAN_DATA_CACHE

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_META_CACHE

    public static final String INDEX_STORAGE_INFINISPAN_META_CACHE

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_CONTAINER

    public static final String INDEX_STORAGE_INFINISPAN_CONTAINER

See Also:
  Constant Field Values

### INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES

    public static final String INDEX_STORAGE_INFINISPAN_CHUNK_SIZE_IN_BYTES

See Also:
  Constant Field Values

### INDEXING_BACKEND_JMS_CONNECTION_FACTORY_JNDI_NAME

    public static final String INDEXING_BACKEND_JMS_CONNECTION_FACTORY_JNDI_NAME

See Also:
  Constant Field Values

### INDEXING_BACKEND_JMS_QUEUE_JNDI_NAME

    public static final String INDEXING_BACKEND_JMS_QUEUE_JNDI_NAME

See Also:
  Constant Field Values

### INDEXING_BACKEND_JGROUPS_CHANNEL_NAME

    public static final String INDEXING_BACKEND_JGROUPS_CHANNEL_NAME

See Also:
  Constant Field Values

### INDEXING_BACKEND_JGROUPS_CHANNEL_CONFIGURATION

    public static final String INDEXING_BACKEND_JGROUPS_CHANNEL_CONFIGURATION

See Also:
  Constant Field Values

### CLUSTERING

    public static final String CLUSTERING

  The name of the clustering top-level configuration document

  See Also:
    Constant Field Values

### CLUSTER_NAME

    public static final String CLUSTER_NAME

  The name of the cluster as used by JChannel.connect

  See Also:
    Constant Field Values

### CHANNEL_PROVIDER

    public static final String CHANNEL_PROVIDER

  The fully qualified name of the `ChannelProvider` implementation which will provide the JChannel instance

  See Also:
    Constant Field Values

### CHANNEL_CONFIGURATION

    public static final String CHANNEL_CONFIGURATION

  The optional string representing a valid JGroups channel configuration object

  See Also:
    Constant Field Values

Constructor Detail

### RepositoryConfiguration.FieldName

    public RepositoryConfiguration.FieldName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.